<div class="modal-header" ng-if="!isVideoCall()">
    <img class="title-icon title-modal-agent" src="/assets/images/popup_incoming_call.svg" />
    <button class="hide-modal" ng-click="cancel()" title="{{'DIALOG_HIDE' | translate}}">
        <i class="fa fa-times"></i>
    </button>
</div>
<div class="modal-header video-modal-header" ng-if="isVideoCall()">
    <div class="video-modal-icon-wrapper">
        <img class="video-modal icon-circle-arrow" src="/assets/images/xchelper/circle_arrow.svg">
        <div class="video-modal icon-users"><i class="fa fa-video"></i></div>
    </div>
    <button class="hide-modal hide-modal-video" ng-click="cancel()" title="{{'DIALOG_HIDE' | translate}}"><i class="fa fa-times"></i></button>
</div>
<div ng-if="!isVideoCall()">
    <div class="modal-body">
        <div class="incoming-title">{{'INCOMING_TITLE' | translate}}</div>
        <div class="incoming-name" ng-if="name.length > 0">{{name}}</div>
        <div class="incoming-number">{{number}}</div>
        <div class="alert alert-info" role="alert" ng-if="displayMessage()">{{'INCOMING_SECOND_YEALINK_CALL_WARNING'| translate}}</div>
    </div>
</div>

<div ng-if="isVideoCall()">
    <div class="modal-body">
        <div class="incoming-title">{{'INCOMING_MEETING_ROOM_TITLE' | translate}}</div>
        <div class="incoming-name incoming-name-invite-meetingroom" ng-if="name.length > 0">{{name}}</div>
    </div>
</div>

<div class="modal-footer modal-footer-invite-meetingroom" ng-style="centerHangupButton()">
    <div class="incoming-call-buttons">
        <button class="btn btn-warning decline-call" ng-click="decline()">{{'INCOMING_DECLINE' | translate}}</button>
        <button class="btn btn-primary accept-call" ng-click="accept()" ng-if="!hideAnswer() && !isVideoCall()" >{{'INCOMING_ACCEPT' | translate}}</button>
        <button class="btn btn-primary accept-call" ng-click="accept()" ng-if="!hideAnswer() && isVideoCall()" ng-disabled="!canAcceptVideoCall()" >{{'INCOMING_ACCEPT' | translate}}</button>
    </div>
    <div class="alert alert-danger second-video-call" role="alert" ng-if="isVideoCall() && !canAcceptVideoCall()">{{'CANT_ACCEPT_SECOND_VIDEO_CALL' | translate}}</div>
</div>
